#teaser {
  position: fixed;
  right: -50px;
  top: 33%;
  transform: translateY(-50%) rotate(90deg);
  background-color: #f80120;
  color: white;
  padding: 15px 33px;
  cursor: pointer;
  border-radius: 5px;
  box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.2);
  z-index: 1000;
  font-size: 16px;
  transition: background-color 0.3s ease;
  white-space: nowrap;
}

#teaser:hover {
  background-color: #f80120;
}

@media (max-width: 768px) {
  #teaser {
    right: -35px;
    font-size: 14px;
    padding: 10px 20px;
  }
}
